Need debug on a Very very simple python script. Just want to get the text of the text dots

import Rhino
import scriptcontext 
import rhinoscriptsyntax as rs


ids = rs.GetObjects("Select text dots")

if rs.IsTextDot(ids):
    text = Rhino.TextDotText(ids)
    print text

WHat is the problem?

import rhinoscriptsyntax as rs

ids = rs.GetObjects("Select text dots", 8192)
for id in ids:
    if rs.IsTextDot(id):
        text = rs.TextDotText(id)
        print text

PrintDots 2.py (176 Bytes)

or

import rhinoscriptsyntax as rs

ids = rs.GetObjects("Select text dots")
for id in ids:
    dot = rs.coercegeometry(id)
    print dot.Text

PrintDots.py (144 Bytes)

Thanks!!

I think this is the problem!

rs.TextDotText
instead of

Rhino.TextDotText

Should be able to know the difference from now on!

Thanks again!

1 Like